import { get, put, post, deletes } from '@/http/index'

// 查询故障案例列表
export const getFaultCase = async (data) => {
  return await get('/als/faultCase/list', data)
}

// 新增故障案例
export const addFaultCase = async (data) => {
  return await post('/als/faultCase', data)
}

// 修改故障案例
export const updateFaultCase = async (data) => {
  return await put('/als/faultCase', data)
}

// 删除故障案例
export const removeFaultCase = async (id) => {
  return await deletes('/als/faultCase/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
